Skip to main content
GET
/
api
/
v1
/
exposure
/
vulnerabilities
Surface vulnerabilities
curl --request GET \
  --url https://api.defendis.ai/api/v1/exposure/vulnerabilities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 321,
      "host": "app.example.com",
      "template_name": "Example template",
      "severity": "medium",
      "type": "http"
    }
  ],
  "paging": {
    "totalPages": 1,
    "totalRecords": 1,
    "currentPage": 1,
    "pageSize": 20,
    "hasMore": false,
    "nextPage": null
  }
}

Authorizations

Authorization
string
header
required

Required for all /api/v1 endpoints. Use Authorization: Bearer <api_key>

Query Parameters

domainId
integer
required
watchlistId
string
scanRunId
string
severity
string
host
string

Response

200 - application/json

Surface vulnerabilities response

The response is of type object.